# Uses of Enum Class
javax.lang.model.SourceVersion

Packages that use SourceVersion
Package
Description
javax.annotation.processing
Facilities for declaring annotation processors and for allowing annotation processors to communicate with an annotation processing tool environment.
javax.lang.model
Types and hierarchies of packages comprising a Java language model, a reflective API that models the declarations and types of the Java programming language.
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.
jdk.javadoc.doclet
The Doclet API provides an environment which, in conjunction with the Language Model API and Compiler Tree API, allows clients to inspect the source-level structures of programs and libraries, including API comments embedded in the source.

## Uses of SourceVersion in javax.annotation.processing

Methods in javax.annotation.processing that return SourceVersion
Modifier and Type
Method
Description
`SourceVersion`
ProcessingEnvironment.`getSourceVersion()`
Returns the source version that any generated source and class files should conform to.
`SourceVersion`
AbstractProcessor.`getSupportedSourceVersion()`
Returns the latest source version supported by this annotation processor.
`SourceVersion`
Processor.`getSupportedSourceVersion()`
Returns the latest source version supported by this annotation processor.

## Uses of SourceVersion in javax.lang.model

Subclasses with type arguments of type SourceVersion in javax.lang.model
Modifier and Type
Class
Description
`enum`
`SourceVersion`
Source versions of the Java programming language.
Methods in javax.lang.model that return SourceVersion
Modifier and Type
Method
Description
`static SourceVersion`
SourceVersion.`latest()`
Returns the latest source version that can be modeled.
`static SourceVersion`
SourceVersion.`latestSupported()`
Returns the latest source version fully supported by the current execution environment.
`static SourceVersion`
SourceVersion.`valueOf(Runtime.Version rv)`
Returns the latest source version that is usable under the runtime version argument.
`static SourceVersion`
SourceVersion.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SourceVersion[]`
SourceVersion.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javax.lang.model with parameters of type SourceVersion
Modifier and Type
Method
Description
`static boolean`
SourceVersion.`isKeyword(CharSequence s, SourceVersion version)`
Returns whether or not `s` is a keyword, a boolean literal, or the null literal in the given source version.
`static boolean`
SourceVersion.`isName(CharSequence name, SourceVersion version)`
Returns whether or not `name` is a syntactically valid qualified name in the given source version.

## Uses of SourceVersion in javax.tools

Methods in javax.tools that return types with arguments of type SourceVersion
Modifier and Type
Method
Description
`Set<SourceVersion>`
Tool.`getSourceVersions()`
Returns the source versions of the Java programming language supported by this tool.

## Uses of SourceVersion in jdk.javadoc.doclet

Methods in jdk.javadoc.doclet that return SourceVersion
Modifier and Type
Method
Description
`SourceVersion`
DocletEnvironment.`getSourceVersion()`
Returns the source version of the source files that were read.
`SourceVersion`
Doclet.`getSupportedSourceVersion()`
Returns the version of the Java Programming Language supported by this doclet.
`SourceVersion`
StandardDoclet.`getSupportedSourceVersion()`